[HEADER]
NAME="openssh"
FILE_NAME="openssh.sh"
DESCRIPTION="OpenSSH configuration audit."
NEED_DATA_DIR=1
LEVELS="3 4 5"
GROUPS="network"
DEPS="gawk grep mount netstat rpmquery sed which openssl"
REQUIRES="openssh-server"
AUTHOR="Dan Kopecek <dkopecek@redhat.com>"

[DEFAULT]
SSHD_USER="root"
SSHD_GROUP="root"
SSHD_CONFIG_PERM=600
SSHD_CONFIG_OWNER="root:root"
SSHD_CONFIGDIR_PERM=755
SSHD_CONFIGDIR_OWNER="root:root"
SSHD_PRIVKEY_PERM=600
SSHD_PRIVKEY_OWNER="root:root"
SSHD_PUBKEY_PERM=644
SSHD_PUBKEY_OWNER="root:root"
SSH_KNOWN_HOSTS_REQUIRE=0
SSH_KNOWN_HOSTS_PERM=644
SSH_KNOWN_HOSTS_OWNER="root:root"
SSHD_PRIVSEP_DIR_REQUIRE=1
SSHD_PRIVSEP_DIR_PERM=711
SSHD_PRIVSEP_DIR_OWNER="root:root"
SSHD_PRIVSEP_DIR="/var/empty/sshd"
SSHD_PRIVSEP_DIR_EMPTY=0
SSHD_CHECK_SHA256=1
SSH_CHECK_SHA256=1
SSHD_SHA256_LIST="sshd.sum"
SSHD_SAVE_SHA256_CHANGES=0
SSHD_DEFAULT_KEYS="/etc/ssh/ssh_host_dsa_key
		   /etc/ssh/ssh_host_key
		   /etc/ssh/ssh_host_rsa_key"
PARANOID=0

# --- OpenSSH default values --- #

SSHD_defined_vars="PermitRootLogin ChallengeResponseAuthentication UsePAM PermitUserEnvironment
                   StrictModes UsePrivilegeSeparation ClientAliveCountMax ClientAliveInterval"

# Examples
# version = 4.7p1: SSHD_47p1_PermitRootLogin="yes"
# version = 4.x  : SSHD_4_PermitRootLogin="yes"
# version = all  : SSHD__PermitRootLogin="yes"

# 4.x on F8
#SSHD_4_AllowGroups=""
#SSHD_4_AllowUsers=""
SSHD_4_PermitRootLogin="yes"
SSHD_4_ChallengeResponseAuthentication="yes"
SSHD_4_UsePAM="no"
SSHD_4_PermitUserEnvironment="no"
SSHD_4_StrictModes="yes"
SSHD_4_UsePrivilegeSeparation="yes"
SSHD_4_ClientAliveCountMax=3
SSHD_4_ClientAliveInterval=0

# 5.x on F9
SSHD_5_PermitRootLogin="yes"
SSHD_5_ChallengeResponseAuthentication="yes"
SSHD_5_UsePAM="no"
SSHD_5_PermitUserEnvironment="no"
SSHD_5_StrictModes="yes"
SSHD_5_UsePrivilegeSeparation="yes"
SSHD_5_ClientAliveCountMax=3
SSHD_5_ClientAliveInterval=0

# ------------------------------ #

[LEVEL_3]

[LEVEL_4]

[LEVEL_5]
SSHD_PRIVSEP_DIR_PERM=700
PARANOID=1
