[HEADER]
NAME="suid"
FILE_NAME="suid.py"
DESCRIPTION="Looks for suid binaries in the system and compares against last run.
             Up to level 3, it checks only binaries in $PATH, from level 3 onwards, also checks
             if a file belongs to a package and from level 4 onwards walks through entire / 
             filesystem and scans for setuid files. 

             Settings:
             * CHECK_PATH - if the test should check the $PATH variable, can be 1 or 0
             * PACKAGE_CMD - the command used to get the package a file belongs to
             * CHECK_DIR - a directory or a list of directories to check in addition
             * CHECK_FILE_PACKAGE - whether to check if a setuid file belongs to a package, can be 0 or 1, is 1 from level 3 up"
LEVELS="2 3 4 5"
GROUPS="test"
NEED_DATA_DIR=1
AUTHOR="Jakub Hrozek <jhrozek@redhat.com>"


[DEFAULT]
CHECK_PATH=1
PACKAGE_CMD=rpm -qf

[LEVEL_3]
CHECK_FILE_PACKAGE=1

[LEVEL_4]
CHECK_FILE_PACKAGE=1
CHECK_DIR="/opt /usr/local"

[LEVEL_5]
CHECK_FILE_PACKAGE=1
CHECK_DIR="/opt /usr/local /tmp /var"
