#!/usr/bin/env sh

# ----------------------------------------------------------- #
# Copyright (C) 2008 Red Hat, Inc.                            #
# Written by Michel Samia <msamia@redhat.com>                 #
# bootloader.sh                                               #
# more info in bootloader.dsc                                 #
# ----------------------------------------------------------- #


. "${TESTS_DIRS}/bash_defs.sh"

const E_BAD_PERMISSIONS=1
const E_NO_PASSWORD=2
const E_NO_PASSWORD_TXT="\${GRUBCONF} does not contain a password"
const H_NO_PASSWORD_TXT="Please add the line 'password --md5 hash' to ${GRUBCONF}, where hash is output of grub-md5-crypt"

check_file_perm ${GRUBCONF} 600 root:root 1 $E_BAD_PERMISSIONS "Bootloader configuration file"

if [[ "`egrep '^password' ${GRUBCONF} | wc -l`" == "0" ]]
then
	if [[ "${ERROR_PASS}" == "1" ]]
	then
		report 'ERROR' $E_NO_PASSWORD "$E_NO_PASSWORD_TXT"
		report 'HINT' $E_NO_PASSWORD "$H_NO_PASSWORD_TXT"
	elif [[ "${WARNING_PASS}" == "1" ]]
	then
		report 'WARNING' $E_NO_PASSWORD "$E_NO_PASSWORD_TXT"
		report 'HINT' $E_NO_PASSWORD "$H_NO_PASSWORD_TXT"
	fi
fi
