#!/usr/bin/env sh

# ----------------------------------------------------------- #
# Copyright (C) 2008 Red Hat, Inc.                            #
# Written by Michel Samia <msamia@redhat.com>                 #
# disc_usage.sh                                               #
# more info in disc_usage.dsc                                 #
# ----------------------------------------------------------- #


. "${TESTS_DIRS}/bash_defs.sh"

# report warnning when percent usage greater than
const PERCENT_LIMIT_WARNING=80
# report error when percent usage greater than
const PERCENT_LIMIT_ERROR=100

i=1

df -P --exclude-type iso9660 | 	# list of mounted file systems
tail -n +2 |	# without first (columns description) line 
sort -n -k 5 -r |

{
    while read  device blocks used available_capacity percent_used directory ; do
	report 'INFO' "Going to test device \$device mounted to \$directory"
	percent_sign='%'
	percent_used_num_only=${percent_used%$percent_sign}
	if [ "$percent_used_num_only" -ge "$PERCENT_LIMIT_ERROR" ] ; then
	  report "ERROR" "$i" "Device \$device mounted to \$directory is full! There is \$percent_used used!"
	  report "HINT" "$i" "Please backup and delete unused files from this directory"
	elif [ "$percent_used_num_only" -ge "$PERCENT_LIMIT_WARNING" ] ; then
	  report "WARNING" "$i" "Device \$device mounted to \$directory is going to be full! There is \$percent_used used!"
	  report "HINT" "$i" "Please backup and delete unused files from this directory"
	else
	  report 'INFO' "Device ok"
	fi
	i=$[i+1]
    done
}
