#!/usr/bin/env sh
. "${TESTS_DIRS}/bash_defs.sh"

if [ -a /proc/sys/kernel/exec-shield ] && 
   [ $EXEC_SHIELD -ne `cat /proc/sys/kernel/exec-shield` ]
then
    report ERROR 1 "Exec-shield is disabled."
    report HINT 1 "You can use \"sysctl\" command to turn it on."
fi

if [ -a /proc/sys/kernel/randomize_va_space ] &&
   [ $VA_RANDOMIZATION -gt `cat /proc/sys/kernel/randomize_va_space` ]
then
    report ERROR 1 "Virtual addresses randomization is disabled."
    report HINT 1 "You can use \"sysctl\" command to turn it on."
fi

test_exit ${E_OK}

