#!/usr/bin/env sh

# ----------------------------------------------------------- #
# Copyright (C) 2008 Red Hat, Inc.                            #
# Written by Michel Samia <msamia@redhat.com>                 #
# nfs.sh                                                      #
# more info in nfs.dsc                                        #
# ----------------------------------------------------------- #


. "${TESTS_DIRS}/bash_defs.sh"

# todo: remove comments first

W_EXPORTS_NOT_FOUND=1
W_RW=2

if ! [[ -f $EXPORTS ]]
then
	report 'WARNING' $W_EXPORTS_NOT_FOUND 'File \$EXPORTS was not found!'
	exit ${E_FAIL}
fi


cat $EXPORTS | sed 's/ \+/\t/g' |sed 's/\t\+/\t/g' |  # spaces and tabs to one tab
{
	linenr=0
	while read line
	do
		linenr=$[ linenr + 1 ]
		lineWithoutComments="`echo \"$line\" | sed 's/#.*//' `" 

		numOfFields="`echo $lineWithoutComments | awk '{ print NF }'`"
		dir="`echo $lineWithoutComments|awk '{ print $1 }'`"
#		report 'WARNING' 1 "dir: $dir; numOfFields: $numOfFields"
		for((i=2; i<=numOfFields; i++))
		do
			machine="`echo \"$lineWithoutComments\" |cut -f $i`"
			params=`echo ${machine} |sed 's/^[^(]*(//' |sed 's/)$//' `
#			report 'WARNING' 1 "    mach: $machine, params: $params, i: $i"
			machine="`echo $machine | sed 's/(.*//'`"
			if [[ "`echo $params | egrep '^rw,|,rw,|,rw$' | wc -l`" == "1" ]]
			then
				report 'WARNING' $W_RW "$EXPORTS: line $linenr: Directory \$dir is exported to \$machine with enabled write permission"
			fi
		done	
#		IFS=$OLDIFS	
	done
}
