#!/usr/bin/env bash
. "${TESTS_DIRS}/bash_defs.sh"
# Copyright (C) 2008 Red Hat, Inc.
# Written by Tomas Heinrich <theinric@redhat.com>
# Mon Aug 25 16:23:15 CEST 2008

if [[ ! -f ${SYSTEM_AUTH_CFG} ]]; then
    test_exit ${E_FAIL} "Configuration file \"${SYSTEM_AUTH_CFG}\" doesn't exist."
fi

sed -n -e ':a; /\\$/N; s/\\\n//; ta; s/^[ \t]*password[^#]*pam_cracklib.so.*//; T; q 1' ${SYSTEM_AUTH_CFG}
if [[ "$?" -eq "0" ]]; then
	report 'WARNING' 1 "New passwords for system services aren't checked with cracklib."
	report 'HINT'    1 "Add a call to pam_cracklib to '${SYSTEM_AUTH_CFG}'. Please see 'man pam_cracklib' for details."
fi

if (( ${PARANOID} == 1 )); then
    sed -n -e ':a; /\\$/N; s/\\\n//; ta; s/^[ \t]*auth[^#]*pam_tally\.so.*//p; T; q 1' ${SYSTEM_AUTH_CFG}
    if [[ "$?" -eq "0" ]]; then
	report 'WARNING' 2 "Account lockout after repetitive failed login attempts is not configured."
	report 'HINT'    2 "Add a call to pam_tally to '${SYSTEM_AUTH_CFG}'. Please see 'man pam_tally' for details."
    fi
fi

test_exit ${E_OK}
