#!/usr/bin/env bash
. "${TESTS_DIRS}/bash_defs.sh"
# Copyright (C) 2008 Red Hat, Inc.
# Written by Dan Kopecek <dkopecek@redhat.com>
# Original idea comes from the Tiger project
# Wed Feb  6 17:33:20 CET 2008

const ID_LIBOLD=1
const ID_LIBREMOVED=2

PROC='/proc'

while read process; do
    NAME="$(echo ${process/[[:space:]][0-9]*/})"
    PID=$(echo ${process/$NAME/})

    if [[ -f "${PROC}/${PID}/maps" ]]; then
    	while read inolib; do
    		LIB="$(echo ${inolib/[0-9]*[[:space:]]/})"
		INO=$(echo ${inolib/$LIB/})

		if [[ -n "${LIB}" ]]; then
			if [[ -f "${LIB}" ]]; then
	    			if (( $(stat -c '%i' "${LIB}") != ${INO} )); then
					report 'WARNING' $ID_LIBOLD "Process ${NAME} (pid: ${PID}) is using shared object ${LIB} that was probably updated!"
	    			fi
			else
	    			report 'ERROR' $ID_LIBREMOVED "Process ${NAME} (pid: ${PID}) is using shared object ${LIB} that doesn't exist!"
			fi
		fi
    	done <<EOF
`cat "${PROC}/${PID}/maps" | sed -n 's|^.*[[:space:]]\([0-9]\{1,\}[[:space:]]*/[[:print:]]*\.so[0-9\.]*\)$|\1|p' | sort | uniq`
EOF
    fi
done <<EOF
`ps --no-heading -eo comm,pid`
EOF

test_exit ${E_OK}
