# Copyright (c) 2007 Red Hat
# Written by Jakub Hrozek
# -*- coding: UTF8 -*-

from scheduler import errors
from scheduler.i18n import _

class SecToolActionError(errors.SecToolError):
    """ Raised when a generic error in a secTool action occurs  """

    def __str__(self):
        """ The actual representation of the exception """
        return _("Error: %s" % (self.message))

    def __init__(self, action, message):
        """
        @param action: the action the error occured in
        @type  action: string 
        @param message: explanation of the error
        @type  message: string 
        """
        errors.SecToolError.__init__(self, message)
        self.action = action
        self.message = message

class PreReqError(errors.SecToolError):
    """ Raised when a prerequisite fails """

    def __str__(self):
        """ The actual representation of the exception """
        return _("%s" % (self.message))

class TuiError(errors.SecToolError):
    """ Raised when a generic error in the text UI occurs """

    def __str__(self):
        """ The actual representation of the exception """
        return _("SecTool Error: %s" % (self.message))

